読者です 読者をやめる 読者になる 読者になる

python3.4.0でscikit-learnでインストール

Python
pip3 install scikit-learn

でビルドエラー発生。
これを踏んだの2回目なので書いておく。
ちょいと調べればすぐに出るんだけどね。

sklearn/cluster/_k_means.c:7955:19: error: no member named 'f_tstate' in 'struct _frame'

(*frame)->f_tstate = tstate;

~~~~~~~~ ^

1 warning and 1 error generated.

こんなエラーが出ました。
CPythonがPython3.4と互換性がないというissueが投げられてるそうです。

pip3 install git+https://github.com/scikit-learn/scikit-learn.git

で解決。

【参考】installation error in sklearn for python3 - Ask Ubuntu